Package org.apache.activemq.artemis.jms.client

## Class ActiveMQQueueBrowser

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQQueueBrowser

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `javax.jms.QueueBrowser`

      public final class ActiveMQQueueBrowser
      extends java.lang.Object
      implements javax.jms.QueueBrowser

  ActiveMQ Artemis implementation of a JMS QueueBrowser.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ActiveMQQueueBrowser​(ConnectionFactoryOptions options, ActiveMQQueue queue, java.lang.String messageSelector, ClientSession session, boolean enable1xPrefixes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `java.util.Enumeration` | `getEnumeration()` |
    `java.lang.String` | `getMessageSelector()` |
    `javax.jms.Queue` | `getQueue()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQQueueBrowser

          protected ActiveMQQueueBrowser​(ConnectionFactoryOptions options,
                                         ActiveMQQueue queue,
                                         java.lang.String messageSelector,
                                         ClientSession session,
                                         boolean enable1xPrefixes)
                                  throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### close

          public void close()
                     throws javax.jms.JMSException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getEnumeration

          public java.util.Enumeration getEnumeration()
                                               throws javax.jms.JMSException

      Specified by:
        `getEnumeration` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getMessageSelector

          public java.lang.String getMessageSelector()
                                              throws javax.jms.JMSException

      Specified by:
        `getMessageSelector` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getQueue

          public javax.jms.Queue getQueue()
                                   throws javax.jms.JMSException

      Specified by:
        `getQueue` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`